com.rscja.custom

## Class UHFSFForUrxNetwork

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFUrxNetwork_qcom
    - - com.rscja.custom.UHFSFForUrxNetwork

- All Implemented Interfaces:
    IMultipleAntenna, IRFIDWithUHFUrxNetwork, IUHF, IUHFURx, java.util.Observer

      public class UHFSFForUrxNetwork
      extends RFIDWithUHFUrxNetwork_qcom

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `UHFSFForUrxNetwork.AntInfo`

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFSFForUrxNetwork()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<UHFSFForUrxNetwork.AntInfo>` | `checkAntStatus(int time, int antCount)`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFUrxNetwork_qcom

      `blockWriteData, disableBeep, enableBeep, eraseData, eraseData, factoryReset, free, generateLockCode, getANT, getAntennaConnectState, getAntennaPower, getAntennaPower, getConnectStatus, getCW, getDestIP, getEPCAndTIDUserMode, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getInputStatus, getPower, getProtocol, getRFLink, getSTM32Version, getTemperature, getTriggerWorkModePara, getUhfReaderIP, getVersion, getWorkMode, init, init, init, init, inventorySingleTag, isEnableBeep, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setANT, setAntennaPower, setConnectionStatusCallback, setCW, setDestIP, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setFrequencyMode, setGen2, setInventoryCallback, setIPAndPort, setPower, setProtocol, setRelayStatus, setRFLink, setTagFocus, setTriggerWorkModePara, setUhfReaderIP, setWorkMode, startInventoryTag, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfJump2BootSTM32, uhfStartUpdate, uhfStopUpdate, uhfUpdating, update, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState, setEPCAndTIDUserMode, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `setEPCAndTIDUserMode`

- - ### Constructor Detail

    - #### UHFSFForUrxNetwork

          public UHFSFForUrxNetwork()

  - ### Method Detail

    - #### checkAntStatus

          public java.util.List<UHFSFForUrxNetwork.AntInfo> checkAntStatus(int time,
                                                                           int antCount)